# Loki::ScopeGuardImpl2< F, P1, P2 > Class Template Reference
[Exception-safe code]

`#include <ScopeGuard.h>`

Inheritance diagram for Loki::ScopeGuardImpl2< F, P1, P2 >:
[legend]
Collaboration diagram for Loki::ScopeGuardImpl2< F, P1, P2 >:
[legend]

List of all members.

## Detailed Description

### template<typename F, typename P1, typename P2>
class Loki::ScopeGuardImpl2< F, P1, P2 >

Implementation class for a standalone function or class static function with two parameters. Each parameter is copied by value - use Loki::ByRef if you must use a reference instead. ScopeGuard ignores any value returned from the call within the Execute function.

This class has a single standalone helper function, MakeGuard which creates and returns a ScopeGuard.

The documentation for this class was generated from the following file:

- ScopeGuard.h